## org.eclipse.datatools.connectivity.oda.util.logging
Class Logger

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.logging.Logger

    public class Logger

extends java.lang.Object

`Logger` allows callers to log messages for their application. Loggers should be created using the `LogManager.createLogger` method, which creates named loggers with specific logging settings. Loggers should be named appropriately based on the application using the logging framework to prevent logger name collision. For example, if logging were done on javax.sql package, then an appropriate logger name would be "javax.sql".

Method Summary
`void` `config(java.lang.String message)` Log a CONFIG log message.
`void` `fine(java.lang.String message)` Log a FINE log message.
`void` `finer(java.lang.String message)` Log a FINER log message.
`void` `finest(java.lang.String message)` Log a FINEST log message.
`Level` `getLevel()` Get the associated log level.
`java.lang.String` `getName()` Gets the name of this `Logger`.
`void` `info(java.lang.String message)` Log a INFO log message.
`boolean` `isLoggable(Level level)` Checks whether the specified level is loggable by this `Logger`.
`void` `log(Level level, java.lang.String message)` Log a message at the specified level.
`void` `log(Level level, java.lang.Throwable thrown)` Log a throwable at the specified level.
`void` `setLevel(Level level)` Sets the level to associate with this `Logger`.
`void` `severe(java.lang.String message)` Log a SEVERE log message.
`void` `severe(java.lang.Throwable thrown)` Log a SEVERE error or exception.
`void` `warning(java.lang.String message)` Log a WARNING log message.
`void` `warning(java.lang.Throwable thrown)` Log a WARNING exception.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### severe

    public void severe(java.lang.Throwable thrown)

  Log a SEVERE error or exception.

  Parameters:
    `thrown` - the throwable being thrown.

### severe

    public void severe(java.lang.String message)

  Log a SEVERE log message.

  Parameters:
    `message` - the log message.

### warning

    public void warning(java.lang.Throwable thrown)

  Log a WARNING exception.

  Parameters:
    `thrown` - the throwable being thrown.

### warning

    public void warning(java.lang.String message)

  Log a WARNING log message.

  Parameters:
    `message` - the log message.

### info

    public void info(java.lang.String message)

  Log a INFO log message.

  Parameters:
    `message` - the log message.

### config

    public void config(java.lang.String message)

  Log a CONFIG log message.

  Parameters:
    `message` - the log message.

### fine

    public void fine(java.lang.String message)

  Log a FINE log message.

  Parameters:
    `message` - the log message.

### finer

    public void finer(java.lang.String message)

  Log a FINER log message.

  Parameters:
    `message` - the log message.

### finest

    public void finest(java.lang.String message)

  Log a FINEST log message.

  Parameters:
    `message` - the log message.

### log

    public void log(Level level,
                    java.lang.String message)

  Log a message at the specified level.

  Parameters:
    `level` - the log level to log the message.
    `message` - the log message.

### log

    public void log(Level level,
                    java.lang.Throwable thrown)

  Log a throwable at the specified level.

  Parameters:
    `level` - the log level to log the throwable.
    `thrown` - the throwable to log.

### getLevel

    public Level getLevel()

  Get the associated log level.

  Returns:
    the associated log level.

### setLevel

    public void setLevel(Level level)

  Sets the level to associate with this `Logger`.

  Parameters:
    `level` - the log level to associate.

### getName

    public java.lang.String getName()

  Gets the name of this `Logger`.

  Returns:
    the name of the <cdoe>Logger.

### isLoggable

    public boolean isLoggable(Level level)

  Checks whether the specified level is loggable by this `Logger`. Also checks whether the `Logger` level is set to OFF.

  Parameters:
    `level` - the log level.
  Returns:
    true if the specified level is higher or equal to the `Logger`'s level and if the `Logger`'s level isn't OFF.